use skynet_discord_bot::{db_init, get_config, get_server_config_bulk, update_server};

#[tokio::main]
async fn main() {
  let config = get_config();
  let db = match db_init(&config).await {
    Ok(x) => x,
    Err(_) => return,
  };

  for server_config in get_server_config_bulk(&db).await {
    update_server(server_config.server_minecraft, &db, &server_config.server, &config).await;
  }
}
